"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/mq-esm/esm-deleter.is-complete.lambda.ts
var esm_deleter_is_complete_lambda_exports = {};
__export(esm_deleter_is_complete_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(esm_deleter_is_complete_lambda_exports);
var import_client_ec2 = require("@aws-sdk/client-ec2");
var ec2Client = new import_client_ec2.EC2Client();
async function handler(event) {
  const requestType = event.RequestType;
  let isReady = true;
  if (requestType === "Delete") {
    const { MqType, EsmId, AccountId } = event.ResourceProperties;
    if (MqType === void 0) {
      throw new Error("MqType");
    }
    if (EsmId === void 0) {
      throw new Error("EsmId");
    }
    if (AccountId === void 0) {
      throw new Error("AccountId");
    }
    const response2 = await ec2Client.send(new import_client_ec2.DescribeNetworkInterfacesCommand({
      Filters: [{
        Name: "description",
        Values: [`AWS Lambda VPC ENI-${MqType}-${AccountId}-${EsmId}*`]
      }]
    }));
    if (response2.NetworkInterfaces && response2.NetworkInterfaces.length > 0) {
      isReady = false;
    }
  }
  ;
  const response = {
    IsComplete: isReady
  };
  return response;
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
