"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/mq-esm/esm-deleter.on-event.lambda.ts
var esm_deleter_on_event_lambda_exports = {};
__export(esm_deleter_on_event_lambda_exports, {
  handler: () => handler
});
module.exports = __toCommonJS(esm_deleter_on_event_lambda_exports);
var import_client_lambda = require("@aws-sdk/client-lambda");
var lambdaClient = new import_client_lambda.LambdaClient();
async function handler(event) {
  let response;
  switch (event.RequestType) {
    case "Create":
      response = onCreate(event);
      break;
    case "Delete":
      response = onDelete(event);
      break;
    case "Update":
      response = onUpdate(event);
      break;
    default:
      throw new Error("Unknown Request Type of CloudFormation");
  }
  return response;
}
async function onCreate(event) {
  return {
    PhysicalResourceId: "abcdef-" + event.RequestId
  };
}
async function onDelete(event) {
  const { EsmId } = event.ResourceProperties;
  if (EsmId === void 0) {
    throw new Error("EsmId");
  }
  await lambdaClient.send(
    new import_client_lambda.DeleteEventSourceMappingCommand({
      UUID: EsmId
    })
  );
  return {
    PhysicalResourceId: event.PhysicalResourceId || ""
  };
}
async function onUpdate(event) {
  return {
    PhysicalResourceId: event.PhysicalResourceId || ""
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  handler
});
