import { CfnBroker } from 'aws-cdk-lib/aws-amazonmq';
import { ActiveMqLdapAuthorization } from './activemq-authoriztion';
import { ActiveMqUser } from './activemq-user';
import { ActiveMqAuthenticationStrategy } from '../activemq-authentication-strategy';
export interface IActiveMqBrokerUserManagement {
    render(): ActiveMqBrokerDeploymentUserManagementDefinition;
}
export interface ActiveMqBrokerDeploymentUserManagementDefinition {
    readonly users: CfnBroker.UserProperty[];
    readonly ldapServerMetadata?: CfnBroker.LdapServerMetadataProperty;
    readonly authenticationStrategy?: ActiveMqAuthenticationStrategy;
}
export interface LdapUserStoreOptions extends ActiveMqLdapAuthorization {
}
export interface SimpleAuthenticationUserManagementOptions {
    readonly users: ActiveMqUser[];
}
export declare class ActiveMqBrokerUserManagement {
    static simple(options: SimpleAuthenticationUserManagementOptions): IActiveMqBrokerUserManagement;
    static ldap(options: LdapUserStoreOptions): IActiveMqBrokerUserManagement;
}
