import { Construct } from 'constructs';
import { IRabbitMqBroker } from './rabbitmq-broker';
import { RabbitMqBrokerDeploymentBase, RabbitMqBrokerDeploymentProps } from './rabbitmq-broker-deployment';
export interface RabbitMqBrokerClusterProps extends RabbitMqBrokerDeploymentProps {
}
/**
 * A representation of a RabbitMQ cluster deployment is a logical grouping of three RabbitMQ broker nodes behind a Network Load Balancer, each sharing users, queues, and a distributed state across multiple Availability Zones (AZ).
 */
export declare class RabbitMqBrokerCluster extends RabbitMqBrokerDeploymentBase implements IRabbitMqBroker {
    constructor(scope: Construct, id: string, props: RabbitMqBrokerClusterProps);
}
